Retrieve member details
curl --request GET \
--url https://api.shareofmodel.ai/v1/organizations/{organization_id}/members/{member_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.shareofmodel.ai/v1/organizations/{organization_id}/members/{member_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.shareofmodel.ai/v1/organizations/{organization_id}/members/{member_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"last_login": "2023-11-07T05:31:56Z",
"is_active": true,
"organization_role": "<string>",
"organization_role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaces": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"roles": [
{
"role": "<string>",
"granted_by": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
],
"picture": "<string>",
"added_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>"
}
}
]Organizations
Retrieve member details
Retrieves a member’s details and workspace roles. Required permission: read:organization_settings.
GET
/
v1
/
organizations
/
{organization_id}
/
members
/
{member_id}
Retrieve member details
Authorizations
Path Parameters
A UUID string identifying the member.
A UUID string identifying the organization.
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I